<?php
//cpe_envioUno.php //Coge un JSON, convierte a XML y envía a la sunat boletas, facturas, notas de crédito y débito
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: GET, POST, PUT, DELETE"); 

require_once(dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/controller/credGet.php");

//require_once('decode_64.php');
function cpeEnvio($ruc, $usuario_sol, $pass_sol, $ruta_archivo, $ruta_archivo_cdr, $archivo, $ruta_ws) {
    //=================ZIPEAR ================
    $zip = new ZipArchive();
    $filenameXMLCPE = $ruta_archivo.$archivo.'.ZIP';

    if ($zip->open($filenameXMLCPE, ZIPARCHIVE::CREATE) === true) {
        $zip->addFile($ruta_archivo.$archivo.'.XML', $archivo.'.XML'); //ORIGEN, DESTINO
        $zip->close();
    }

    //file_put_contents(dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/api_cpe/txt/$archivo.txt",
    // "\nruc:".                 $ruc
    //."\nusuario_sol:".         $usuario_sol
    //."\npass_sol:".            $pass_sol
    //."\nruta_archivo:".        $ruta_archivo
    //."\nruta_archivo_cdr:".    $ruta_archivo_cdr
    //."\narchivo:".             $archivo
    //."\nruta_ws:".             $ruta_ws
    //);

    //===================ENVIO FACTURACION=====================
    $soapUrl = $ruta_ws; //"https://e-beta.sunat.gob.pe:443/ol-ti-itcpfegem-beta/billService"; // asmx URL of WSDL
    $soapUser = "";  //  username
    $soapPassword = ""; // password
    // xml post structure
    $xml_post_string = '<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" 
    xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ser="http://service.sunat.gob.pe" 
    xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd">
    <soapenv:Header>
        <wsse:Security>
            <wsse:UsernameToken>
                <wsse:Username>' . $ruc . $usuario_sol . '</wsse:Username>
                <wsse:Password>' . $pass_sol . '</wsse:Password>
            </wsse:UsernameToken>
        </wsse:Security>
    </soapenv:Header>
    <soapenv:Body>
        <ser:sendBill>
            <fileName>' . $archivo . '.ZIP</fileName>
            <contentFile>' . base64_encode(file_get_contents($ruta_archivo.$archivo. '.ZIP')) . '</contentFile>
        </ser:sendBill>
    </soapenv:Body>
    </soapenv:Envelope>';

    $headers = array(
        "Content-type: text/xml;charset=\"utf-8\"",
        "Accept: text/xml",
        "Cache-Control: no-cache",
        "Pragma: no-cache",
        "SOAPAction: ",
        "Content-length: " . strlen($xml_post_string),
    ); //SOAPAction: your op URL

    $url = $soapUrl;

    // PHP cURL  for https connection with auth
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 1);
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    //curl_setopt($ch, CURLOPT_USERPWD, $soapUser.":".$soapPassword); // username and password - declared at the top of the doc
    curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_ANY);
    curl_setopt($ch, CURLOPT_TIMEOUT, 30);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $xml_post_string); // the SOAP request
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

	
	//$response = curl_exec($ch);

	try { $response = curl_exec($ch);
		}
	catch(Exception $e) {
		  //echo '<br>Error: ' .$e->getMessage();
		  $mensaje['cod_sunat'] = '-9999';
		  $mensaje['msj_sunat'] = 'Tiempo agotado de espera de SUNAT';		  
		  $mensaje['hash_cdr'] = $e->getMessage();		  
		  return($mensaje);
		}
		
    $httpcode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

    file_put_contents(dirname(__FILE__,200)."cpe_envioUno.php.response.txt",$response);

    if ($httpcode == 200) {//======LA PAGINA SI RESPONDE
        //echo $httpcode.'----'.$response;
        //convertimos de base 64 a archivo fisico
        $doc = new DOMDocument();
        $doc->loadXML($response);

		//Unet
		date_default_timezone_set("America/Lima");
		$urlResponseTicket="/fe/api_cpe/PRODUCCION/".$ruc."/cdr/responseEnvioDocVta/";
		$archResponseTicket='response.'.$archivo.'.'.date("Y.m.d.H.i").'.xml';
		$rutaResponseTicket=$ruta_archivo_cdr.'responseEnvioDocVta/'.$archResponseTicket;
		file_put_contents($rutaResponseTicket,$response);
		//fin unet
        //===================VERIFICAMOS SI HA ENVIADO CORRECTAMENTE EL COMPROBANTE=====================
        if (isset($doc->getElementsByTagName('applicationResponse')->item(0)->nodeValue)) {
            $xmlCDR = $doc->getElementsByTagName('applicationResponse')->item(0)->nodeValue;
            file_put_contents($ruta_archivo_cdr . 'R-' . $archivo . '.ZIP', base64_decode($xmlCDR));

            //extraemos archivo zip a xml
            $zip = new ZipArchive;
            if ($zip->open($ruta_archivo_cdr . 'R-' . $archivo . '.ZIP') === TRUE) {
                //post 2.1 cambiado el 11/06/2019 $zip->extractTo($ruta_archivo_cdr, 'R-' . $archivo . '.XML');
                $zip->extractTo($ruta_archivo_cdr);
                $zip->close();
            }

            //eliminamos los archivos Zipeados
            //unlink($ruta_archivo.$archivo.'.ZIP');
            //unlink($ruta_archivo_cdr.'R-'.$archivo . '.ZIP');

            //=============hash CDR=================
            $doc_cdr = new DOMDocument();
            //pre ultranet $doc_cdr->load(dirname(__FILE__) . '/' . $ruta_archivo_cdr . 'R-' . $archivo . '.XML');
			
			if (trim($xmlCDR)!='') 
			   {$doc_cdr->load($ruta_archivo_cdr . 'R-' . $archivo . '.XML');
				$mensaje['cod_sunat'] = $doc_cdr->getElementsByTagName('ResponseCode')->item(0)->nodeValue;
				$mensaje['msj_sunat'] = $doc_cdr->getElementsByTagName('Description')->item(0)->nodeValue;
				$mensaje['hash_cdr'] =  $doc_cdr->getElementsByTagName('DigestValue')->item(0)->nodeValue;
			   }
			else
			   {$doc_cdr->load($rutaResponseTicket);
				//$mensaje['cod_sunat'] = $doc_cdr->getElementsByTagName('statusCode')->item(0)->nodeValue;
				$mensaje['cod_sunat'] = '?';
				$mensaje['msj_sunat'] = 'Sunat no devolvio Zip de respuesta';
				$mensaje['hash_cdr']  = "<a href='".$urlResponseTicket.$archResponseTicket."' target=_blank>$archResponseTicket</a>";	
		       }
            
        } else {
            $mensaje['cod_sunat'] = $doc->getElementsByTagName('faultcode')->item(0)->nodeValue;
            $mensaje['msj_sunat'] = $doc->getElementsByTagName('faultstring')->item(0)->nodeValue;
            $mensaje['hash_cdr'] = "";
        }
    } else {
        //echo "no responde web";
        $mensaje['cod_sunat']="0000";
        $mensaje['msj_sunat']="SUNAT ESTA FUERA SERVICIO";
        $mensaje['hash_cdr'] = "";
    }
    return $mensaje;
    //$xmlCDR = $doc->getElementsByTagName('applicationResponse')->item(0)->nodeValue;
} //function cpeEnvio($ruc, $usuario_sol, $pass_sol, $ruta_archivo, $ruta_archivo_cdr, $archivo, $ruta_ws)

//main
if(isset($argv[1])){ //20559678491-01-F021-98
	$v=explode('-',$argv[1]);
	$ruc=$v[0];
	$archXMLsinExt=$argv[1];
	$ruta=dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/api_cpe/PRODUCCION/".$ruc."/".$argv[1];
}
else {echo "No argumento (documento de venta) a procesar";return;}
chdir (dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/controller/" );
$ruta_archivo=		dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/api_cpe/PRODUCCION/".$ruc.'/';
$ruta_archivo_cdr =	dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/api_cpe/PRODUCCION/".$ruc.'/cdr/';
$ruta_archivo_env =	dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/api_cpe/PRODUCCION/".$ruc.'/enviadosSUNAT/';
$ruta_archivo_1033=	dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/api_cpe/PRODUCCION/".$ruc.'/enviadosAnteriormente(1033)/';

//$ruta_ws='https://e-beta.sunat.gob.pe:443/ol-ti-itcpfegem-beta/billService';
//$ruta_ws='https://e-factura.sunat.gob.pe/ol-ti-itcpfegem/billService';
//$bodyRequest=file_get_contents($ruta_archivo.$archXMLsinExt.".XML");
//$cab = json_decode($bodyRequest, true); // Decodifica el cuerpo de la solicitud y lo guarda en un array de PHP
//$detalle = $cab['detalle'];
//return;
//$bodyRequest = file_get_contents($archXMLsinExt.".XML");
$pathLog=dirname(__FILE__,200)."ultranet/xampp/htdocs/fe/controller/log/";
date_default_timezone_set("America/Lima");


$usuario_sol= $cred[$ruc][0]['us'];
$pass_sol=    $cred[$ruc][0]['psSol'];
$tipo_proceso=$cred[$ruc][0]['feModo'];
if ($tipo_proceso == '4')$ruta_ws = 'https://demo-ose.nubefact.com/ol-ti-itcpe/billService';
if ($tipo_proceso == '5')$ruta_ws = 'https://ose.nubefact.com/ol-ti-itcpe/billService';
if ($tipo_proceso == '1')$ruta_ws = 'https://e-factura.sunat.gob.pe/ol-ti-itcpfegem/billService';
if ($tipo_proceso == '2')$ruta_ws = 'https://www.sunat.gob.pe/ol-ti-itcpgem-sqa/billService';
if ($tipo_proceso == '3')$ruta_ws = 'https://e-beta.sunat.gob.pe:443/ol-ti-itcpfegem-beta/billService';


$mensaje_envio['cod_sunat']='';
$mensaje_envio['msj_sunat']='';
$mensaje_envio['hash_cdr'] ='';

//Ok pero vamos a intentar regenerar el cdr nuevamente
//if(file_exists($ruta_archivo_cdr.'R-'.$archXMLsinExt.'.XML'))
//{ $mensaje_envio['msj_sunat']='Ya fue enviado';
  //Jalar datos de r-cdr para insertar y mostrar mensaje
//}
//else 
      {$mensaje_envio=cpeEnvio($ruc, $usuario_sol, $pass_sol, $ruta_archivo, $ruta_archivo_cdr, $archXMLsinExt, $ruta_ws);
       //file_put_contents(dirname(__FILE__,200)."del1/msj.txt",$mensaje_envio['cod_sunat'].'"'.$mensaje_envio['msj_sunat'].'"'.$mensaje_envio['hash_cdr'].'"');
	   if($mensaje_envio['cod_sunat']==="0")
		    rename($ruta_archivo.$archXMLsinExt.'.XML',$ruta_archivo_env.$archXMLsinExt.'.XML'); 
	   else if(trim($mensaje_envio['cod_sunat'])==="soap-env:Client.1033" ||trim($mensaje_envio['cod_sunat'])==="1033") //verificar si el codigo solo está en la tabla de errores
			{  rename($ruta_archivo.$archXMLsinExt.'.XML',$ruta_archivo_1033.$archXMLsinExt.'.XML');
			   if(file_exists($ruta_archivo.$archXMLsinExt.'.ZIP'))rename($ruta_archivo.$archXMLsinExt.'.ZIP',$ruta_archivo_1033.$archXMLsinExt.'.ZIP');
			}
	  } 
echo '1"'.$mensaje_envio['cod_sunat'].'"'.$mensaje_envio['msj_sunat'].'"'.$mensaje_envio['hash_cdr'].'"';
?>
